# Record TRegisters

Description
Hierarchy
Fields
Methods
Properties

## Unit

isr_types

## Declaration

`type TRegisters = record`

## Description

## Overview

### Fields

`edi: uint32;`
`esi: uint32;`
`ebp: uint32;`
`esp: uint32;`
`ebx: uint32;`
`edx: uint32;`
`ecx: uint32;`
`eax: uint32;`
`ErrorCode: uint32;`
`eip: uint32;`
`cs: uint32;`
`eflags: uint32;`
`UserESP: uint32;`
`ss: uint32;`

## Description

### Fields

`edi: uint32;`

`esi: uint32;`

`ebp: uint32;`

`esp: uint32;`

`ebx: uint32;`

`edx: uint32;`

`ecx: uint32;`

`eax: uint32;`

`ErrorCode: uint32;`

`eip: uint32;`

`cs: uint32;`

`eflags: uint32;`

`UserESP: uint32;`

`ss: uint32;`

Generated by PasDoc 0.15.0.